package exam.Data;

import java.util.*;

import android.app.Activity;
import android.content.*;
import android.os.Bundle;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class Data extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(FileIO.class, "파일 입출력"),
			new Example(ShareFile.class, "파일 공유"),
			new Example(SDCard.class, "SD Card 입출력"),
			new Example(TextLogTest.class, "텍스트 로그"),
			new Example(PrefTest.class, "프레프런스"),
			new Example(PrefActivity.class, "프레프런스 액티비티"),
			new Example(EnglishWord.class, "DB 예제"),
			new Example(ProductList.class, "커서와 연결된 리스트 뷰"),
			new Example(CallWordCP.class, "CP 호출"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
			}
		});
		setContentView(listview);
		
		//startActivity(new Intent(this, FileIO.class));
	}
}