package exam.Input;

import java.util.*;

import android.app.*;
import android.content.*;
import android.os.*;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class Input extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(HandleEvent.class, "여러 가지 이벤트 처리 방식"),
			new Example(HandlerOrder.class, "핸들러의 우선 순위"),
			new Example(HandlerAccess.class, "외부 변수 액세스"),
			new Example(FreeLine.class, "자유 곡선"),
			new Example(MoveCircle.class, "키보드로 원 움직이기"),
			new Example(Fruit.class, "위젯의 이벤트 처리"),
			new Example(FocusTest.class, "포커스 이동(디폴트)"),
			new Example(FocusTest2.class, "포커스 이동(순환)"),
			new Example(Timer.class, "타이머"),
			new Example(OptionMenu.class, "옵션 메뉴"),
			new Example(OptionMenu2.class, "XML로 메뉴 전개"),
			new Example(MenuCheck.class, "메뉴 항목 관리"),
			new Example(ContextMenuTest.class, "컨텍스트 메뉴"),
			new Example(MemoryPower.class, "기억력 게임"),
			new Example(LogTest.class, "Log 남기기"),
			new Example(MemoryPower2.class, "디버깅 실습"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
			}
		});
		setContentView(listview);
		
		//startActivity(new Intent(this, HandleEvent.class));
	}
}