package exam.Layout;

import java.util.*;

import android.app.*;
import android.content.*;
import android.os.*;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class Layout extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(TextViewTest.class, "텍스트 뷰"),
			new Example(ImageViewTest.class, "이미지 뷰"),
			new Example(ButtonEdit.class, "버튼과 에디트"),
			new Example(Horizontal.class, "버튼 에디트 수평 배치"),
			new Example(Horizontal2.class, "텍스트 수평 배치"),
			new Example(Horizontal3.class, "텍스트 수평 배치2"),
			new Example(Gravity1.class, "디폴트 좌상단"),
			new Example(Gravity2.class, "화면 중앙"),
			new Example(Gravity3.class, "수직만 중앙"),
			new Example(Gravity4.class, "수직 중앙,수평 오른쪽"),
			new Example(lGravity1.class, "수평중앙"),
			new Example(lGravity2.class, "화면중앙"),
			new Example(lGravity3.class, "두 컨트롤 화면중앙"),
			new Example(lGravity4.class, "두 속성 차이 연구"),
			new Example(Base1.class, "베이스 정렬"),
			new Example(Base2.class, "베이스 안정렬"),
			new Example(Weight1.class, "1:3:1"),
			new Example(Weight2.class, "1:2:3"),
			new Example(Weight3.class, "삼단 분할"),
			new Example(Padding1.class, "디폴트"),
			new Example(Padding2.class, "마진 10"),
			new Example(Padding3.class, "마진 10, 패딩 10"),

			new Example(Relative1.class, "상대적 배치"),
			new Example(NameCard.class, "명함철"),
			new Example(Absolute.class, "절대 배치"),
			new Example(Frame.class, "겹쳐서 배치"),
			new Example(Table.class, "테이블 배치"),
			new Example(NestLayout.class, "레이아웃 중첩"),
			new Example(MultiPage.class, "여러 페이지"),
			new Example(CodeLayout.class, "코드 없음"),
			new Example(CodeLayout2.class, "코드 작성"),
			new Example(Inflation.class, "레이아웃 전개"),
			new Example(Inflation2.class, "코드로 생성"),
			new Example(Inflation3.class, "직접 전개"),
			new Example(Inflation4.class, "텍스트만 전개"),
			new Example(LayoutParameter.class, "레이아웃 전개"),
			new Example(LayoutParameter2.class, "코드로 생성"),
			new Example(MarginParameter.class, "마진 주기"),
			new Example(MarginParameter2.class, "코드로 생성"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
		    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
		    }
		});
		setContentView(listview);
		
		//startActivity(new Intent(this, TextViewTest.class));
	}
}
