package exam.Network;

import java.util.*;

import android.app.*;
import android.content.*;
import android.os.*;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class Network extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(ConMgr.class, "연결 관리자"),
			new Example(DownHtml.class, "HTML 다운로드"),
			new Example(AsyncDownHtml.class, "비동기 다운로드"),
			new Example(DownImage.class, "이미지 다운로드"),
			new Example(WebService.class, "트위터"),
			new Example(DomParser.class, "DOM 파서"),
			new Example(DomParser2.class, "DOM으로 속성 읽기"),
			new Example(SaxParser.class, "SAX 파서"),
			new Example(PullParser.class, "PULL 파서"),
			new Example(JSONArrayTest.class, "JSON 배열 읽기"),
			new Example(JSONObjectTest.class, "JSON 객체 읽기"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
			}
		});
		setContentView(listview);
	}
}
