package exam.Output;

import java.util.*;

import android.app.*;
import android.content.*;
import android.os.*;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class Output extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(CustomView.class, "커스텀 뷰"),
			new Example(Primitive1.class, "기본 도형"),
			new Example(Primitive2.class, "기본 도형2"),
			new Example(AntiAlias.class, "안티 알리아싱"),
			new Example(PaintTest.class, "Paint 객체"),
			new Example(DrawBitmap.class, "비트맵 출력"),
			new Example(DrawText.class, "텍스트 출력"),
			new Example(TypeFace.class, "타입 페이스"),
			new Example(CustomFont.class, "커스텀 폰트"),
			new Example(DrawPath.class, "패스 출력"),
			new Example(ToastTest.class, "토스트 출력"),
			new Example(MessageBeep.class, "비프음"),
			new Example(SoundPoolTest.class, "사운드 풀"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
			}
		});
		setContentView(listview);
		
		//startActivity(new Intent(this, CustomView.class));
	}
}