package exam.Widget;

import java.util.*;

import android.app.*;
import android.content.*;
import android.os.*;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class Widget extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(ReadResource.class, "리소스 읽기"),
			new Example(ReadResource2.class, "리소스 읽기2"),
			new Example(StyleTest.class, "스타일"),
			new Example(ThemeTest.class, "테마"),
			new Example(SystemTheme.class, "시스템 테마"),
			new Example(LandPort.class, "대체 리소스"),
			new Example(TextViewAttr.class, "텍스트 뷰의 속성"),
			new Example(SpannableTest.class, "Spannable"),
			new Example(EditableTest.class, "Editable"),
			new Example(TextChange.class, "텍스트 변경 이벤트"),
			new Example(EditLimit.class, "입력 길이 제한"),
			new Example(EditSelect.class, "선택 영역 관리"),
			new Example(InputType.class, "키보드의 종류"),
			new Example(ShowHideKey.class, "키보드 보이기/숨기기"),
			new Example(AdjustKey1.class, "키보드 Panning"),
			new Example(AdjustKey2.class, "키보드 Resize"),
			new Example(NoNinePatch.class, "보통 이미지 배경 사용"),
			new Example(NinePatch.class, "나인패치 이미지 배경 사용"),
			new Example(ArrowButton.class, "화살표 버튼"),
			new Example(RadioTest.class, "라디오 버튼, 체크 박스"),
			new Example(ImageButtonTest.class, "이미지 버튼"),
			new Example(ListTest.class, "리스트 뷰에 문자열 출력"),
			new Example(ListFromArray.class, "리스트 뷰에 XML 배열 출력"),
			new Example(ListAttr.class, "리스트 뷰의 속성"),
			new Example(ListAddDel.class, "리스트의 항목 편집"),
			new Example(ListIconText.class, "아이콘과 텍스트 같이 출력"),
			new Example(ListOfViews.class, "여러 종류의 뷰 출력"),
			new Example(ListOnly.class, "ListActivity 사용"),
			new Example(SpinnerTest.class, "스피너"),
			new Example(GridTest.class, "그리드 뷰"),
			new Example(GalleryTest.class, "갤러리 뷰"),
			new Example(ProgressBarTest.class, "프로그래스 바"),
			new Example(ProgressTitle.class, "타이틀 프로그래스"),
			new Example(ProgressTitle2.class, "타이틀 프로그래스"),
			new Example(SeekBarTest.class, "시크 바"),
			new Example(Rating.class, "래이팅 바"),
			new Example(SoundEdit.class, "소리나는 에디트"),
			new Example(NumEdit.class, "입력문자수를 표시"),
			new Example(Attribute.class, "속성 연구"),
			new Example(SoundEdit2.class, "소리나는 에디트2"),
			new Example(Measuring.class, "onMeasure 테스트"),
			new Example(RainbowTest.class, "무지개 프로그래스"),
			new Example(ScrollViewTest.class, "스크롤 뷰"),
			new Example(HScrollViewTest.class, "수평 스크롤 뷰"),
			new Example(WebViewTest.class, "웹 뷰"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
			}
		});
		setContentView(listview);
		
		//startActivity(new Intent(this, RainbowTest.class));
	}
}