package exam.activity;

import java.util.*;

import android.app.Activity;
import android.content.*;
import android.os.Bundle;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class activity extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(CallActivity.class, "내부 액티비티 호출"),
			new Example(CallOther.class, "외부 액티비티 호출"),
			new Example(CommActivity.class, "액티비티간의 통신"),
			new Example(SaveState.class, "상태 저장-저장안함"),
			new Example(SaveState2.class, "상태 저장-x만"),
			new Example(SaveState3.class, "상태 저장-x,y 모두"),
			new Example(SaveCurve.class, "곡선 객체 저장"),
			new Example(SaveCurve2.class, "Parcel 저장"),
			new Example(SaveCurve3.class, "액티비티 파괴 금지"),
			new Example(TabTest.class, "탭-뷰의 id 지정"),
			new Example(TabTest2.class, "탭-팩토리"),
			new Example(TabTest3.class, "탭-액티비티"),
			new Example(CustomTab.class, "탭-커스텀"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
			}
		});
		setContentView(listview);
		
		//startActivity(new Intent(this, CallActivity.class));
	}
}
