package exam.dialog;

import java.util.*;

import android.app.Activity;
import android.content.*;
import android.os.Bundle;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class dialog extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(DialogTest.class, "대화상자"),
			new Example(DialogButton.class, "대화상자 닫기 버튼"),
			new Example(Cancelable.class, "Back 버튼 금지"),
			new Example(ShowDialog.class, "대화상자 미리 생성"),
			new Example(ErrorMessage1.class, "에러 메시지 출력-안보임"),
			new Example(ErrorMessage2.class, "에러 메시지 출력-보임"),
			new Example(Question1.class, "질문하기 - 1단계"),
			new Example(Question2.class, "질문하기 - 3단계"),
			new Example(SelectDialog1.class, "목록 선택"),
			new Example(SelectDialog2.class, "단일 선택 대화상자"),
			new Example(SelectDialog3.class, "복수 선택 대화상자"),
			new Example(OrderDialog.class, "상품 주문 대화상자"),
			new Example(PopupTest.class, "팝업 테스트"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
			}
		});
		setContentView(listview);
		
		//startActivity(new Intent(this, CallActivity.class));
	}
}
