package exam.Draw;

import java.util.*;

import android.app.Activity;
import android.content.*;
import android.os.Bundle;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class Draw extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(LinearGrad.class, "직선 그래디언트"),
			new Example(RadialGrad.class, "원형 그래디언트"),
			new Example(SweepGrad.class, "원주 그래디언트"),
			new Example(BitmapSdr.class, "비트맵 셰이더"),
			new Example(ComposeSdr.class, "조합 셰이더"),
			new Example(ShapeTest.class, "셰이프"),
			new Example(BlurFlt.class, "블러 필터"),
			new Example(EmbossFlt.class, "임보싱 필터"),
			new Example(ColorFlt.class, "색상 필터"),
			new Example(ColorM.class, "이미지 반전"),
			new Example(GrayScale.class, "그레이 스케일"),
			new Example(Porter.class, "Porter, Duff의 색상 변환 규칙"),
			new Example(DashPathEft.class, "선 모양 변경"),
			new Example(CornerPathEft.class, "모서리 변경"),
			new Example(PathDashEft.class, "화살표 모양 대시"),
			new Example(DashAnim.class, "대시 애니메이션"),
			new Example(Xfer.class, "Xfermode"),
			new Example(Dither.class, "디더링"),
			new Example(Translate.class, "이동 변환"),
			new Example(Translate2.class, "문자열 연속 출력"),
			new Example(SaveCanvas.class, "캔버스 상태 저장"),
			new Example(Skew.class, "기울이기"),
			new Example(Scale.class, "확대"),
			new Example(TransOrder.class, "변환의 순서"),
			new Example(Rotate.class, "회전 변환"),
			new Example(FrameAni.class, "프레임 애니메이션"),
			new Example(Tween.class, "트윈 애니메이션"),
			new Example(TweenListener.class, "연속 애니메이션"),
			new Example(Reflection.class, "SurfaceView 연구"),
			new Example(Reflection2.class, "SurfaceView 연구"),
			new Example(ReDraw1.class, "느린 그리기"),
			new Example(ReDraw2.class, "객체 미리 생성"),
			new Example(ReDraw3.class, "클리핑 최소화"),
			new Example(ReDraw4.class, "지연된 그리기"),
			new Example(ReDraw5.class, "비트맵 배경 사용"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
			}
		});
		setContentView(listview);
		
		//startActivity(new Intent(this, LinearGrad.class));
	}
}
