package exam.service;

import java.util.*;

import android.app.*;
import android.content.*;
import android.os.*;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class service extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(NapAlarm.class, "낮잠 시계"),
			new Example(CustomNotiView.class, "커스텀 통지 뷰"),
			new Example(DetectFree.class, "공짜 네트워크 발견"),
			new Example(DetectSaveZone.class, "할인 지역 발견"),
			new Example(OnSaveZone.class, "할인 지역 감시"),
			new Example(WatchBattery.class, "배터리 감시"),
			new Example(WatchSdcard.class, "SdCard 감시"),
			new Example(AlarmTest.class, "알람 테스트"),
			new Example(NewsController.class, "뉴스 보기"),
			new Example(CalcClient.class, "서비스로 연산"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
			}
		});
		setContentView(listview);
	}
}
