package exam.thread;

import java.util.*;

import android.app.*;
import android.content.*;
import android.os.*;
import android.view.*;
import android.widget.*;
import android.widget.AdapterView.*;

public class thread extends Activity {
	class Example {
		Example(Class<?> acls, String aTitle) {
			cls = acls;
			Title = cls.getSimpleName() + " : " + aTitle;
		}
		String Title;
		Class<?> cls;
	}
	Example[] arExample = {
			new Example(ThreadTest.class, "스레드"),
			new Example(HandlerTest.class, "핸들러"),
			new Example(LooperTest.class, "루퍼"),
			new Example(Upload.class, "대화상자가 사라지지 않음"),
			new Example(Post.class, "작업 등록 후 즉시 리턴"),
			new Example(ANR.class, "ANR 문제"),
			new Example(ANR2.class, "ANR 해결"),
			new Example(LongTime.class, "긴 작업(블로킹)"),
			new Example(LongTime2.class, "핸들러로 작업 경과 표시"),
			new Example(LongTime3.class, "프로그래스로 경과 표시 및 취소"),
			new Example(LongTime4.class, "스레드 사용"),
			new Example(LongTime5.class, "AsyncTask 사용"),
			new Example(BackWork.class, "백그라운드 작업"),
			new Example(BackWork2.class, "백그라운드 작업-스레드"),
			new Example(BackWork3.class, "백그라운드 작업-대기 스레드"),
	};

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		ListView listview = new ListView(this);
		ArrayList<String> arTitle = new ArrayList<String>();
		for (Example e : arExample) {
			arTitle.add(e.Title);
		}
		ArrayAdapter<String> Adapter;
		Adapter = new ArrayAdapter<String>(this, R.layout.mainlist, arTitle);

		listview.setAdapter(Adapter);

		final Context ctx = this;
		listview.setOnItemClickListener(new OnItemClickListener() {
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Intent intent = new Intent(ctx, arExample[position].cls);
				startActivity(intent);
			}
		});
		setContentView(listview);
		
		//startActivity(new Intent(this, CallActivity.class));
	}
}